# -*- coding: utf-8 -*-
# Generated by Django 1.11.16 on 2018-12-12 16:48
from __future__ import unicode_literals

from django.db import migrations


SEARCH_NAME = 'BBH'

def create_search(apps, schema_editor):
    Search = apps.get_model('events', 'Search')

    # Use get_or_create so that if the migration is unapplied
    # then reapplied, we don't end up with multiples, since the
    # name doesn't have to be unique (??, probably should be)
    Search.objects.get_or_create(name=SEARCH_NAME)


class Migration(migrations.Migration):

    dependencies = [
        ('events', '0028_make_labels_protected'),
    ]

    operations = [
        migrations.RunPython(create_search, migrations.RunPython.noop),
    ]
